Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_query_triples_init

## Name

librdf_query_triples_init -- Initialise a triples query from the string

## Synopsis

``int `librdf_query_triples_init`` (librdf_query* `query`, const char * `name`, librdf_uri* `uri`, const unsigned char* `query_string`);`

## Arguments

`query`

  the librdf_query

`name`

  the query language name

`uri`

  the query language URI or NULL

`query_string`

  the query string

## Description

Parses the query string in the triples form to create an internal representation, suitable for use in querying.

## query

= subject ' ' predicate ' ' object

## subject

= null | uri

## predicate

= null | uri

## object

= null | uri | literal

## null

'-'

## uri

'[' URI-string ']'

## literal

''' string '''

## Return value

<<< Previous | Home | Next >>>
RDF Query Triples Class | Up | librdf_query_triples_close